\ bmw-pre.fs   A BMW prelude file, loaded when BMW loads
\ COPYRIGHT NOTICE
\ The text in this file is by Bruce R. McFarling, 
\ copyright January 20, 1999, and the unmodified file is
\ free for any use, including distribution via any
\ communication or storage media.

\     If this file is modified in any way, it may only be
\ distributed if the original copyright notice is preserved,
\ modifications are clearly indicated, including copyright
\ status, and a copy of the modified file is emailed to
\ ``ecbm@cc.newcastle.edu.au''.  It is not necessary to wait
\ for an acknowledgement.  The purpose of these restrictions
\ is to encourage you to write prelude file for your
\ implementation from scratch.

\  For BMW 0.0.8, and written with BMW 0.0.8

\ The source original to BMW 0.0.8 is copyright January 20,
\ 1999, Bruce McFarling, and is free for educational and
\ non-commercial use, and for distribution via any magnetic
\ storage or electronic storage media.  However, the bulk of
\ the source in bmw.fs (and files INCLUDED in bmw.fs) and
\ bmwtools.fs is from MF and LF, copyright Leo Wong. Check
\ the file bmw.fs for more details.

\ This is a prelude file for an implementation that does not
\ have much of anything that BMW expects to exist.
\ retain the file bmw-pre.dis for the distribution, 
\ and if distributing BMW, be sure to either:
\  copy this file to bmw-pre.fs, or
\  advertise that you are distributing a version that
\     requires a specific collection of capabilities

\ For your one use, comment out as many of the following
\ as are provided in your implementation as it exists when
\ you include or require the file bmw.fs

\ If all of the file is commented out, you may also comment
\ out the marker

MARKER *BMW-PRELUDE*
CR .( Remove bmw and its prelude with *BMW-PRELUDE* )

\ These words are the rudimentary beginnings of a generic
\ collection of sets of vocabularies.

ONLY FORTH DEFINITIONS

: ACT ( -- ) ALSO FORTH ;

ACT DEFINITIONS VOCABULARY TOOLKITS

: TOOLS ( -- ) ACT TOOLKITS ;

\ BMW uses required to load collections of words which
\ might be used in other sources, in order to reduce
\ dictionary overhead. If you do not have required,
\ then this is the compatibility version provided with
\ GForth version 0.4.0. It is a very literal minded
\ version: it would be better to have a required built
\ into the Forth that you are using.
S" required.fs" INCLUDED

\ If you find that BMW fails to load on your system
\ because of a missing word, check to see whether it
\ is a standard ANS word in a wordset that your implementation
\ does not provide.  If so, check with your vender. If it
\ is an open source software Forth, a public domain Forth,
\ or an orphaned implementation, you might try looking on
\ http://www.taygeta.com/ or asking on the usenet newsgroup
\ comp.lang.forth.

\  If you have trouble compiling the source because of a
\ non-standard word, or because of a resource contraint,
\ I would appreciate an email at ecbm@cc.newcastle.edu.au
\ describing the problem that you are having.  I would
\ also appreciate a copy of a specialised prelude file that
\ you have written for the Forth implementation that you
\ use.  If you send a prelude, please indicate whether it
\ is available for putting into the public domain.

CR .( Loading bmw.fs )
CR .(   - If you remove bmw with *WRITER*
CR .(       the prelude will still be available )
CR .(       and you can reload BMW with S" bmw.fs" INCLUDED )
CR

S" bmw.fs" INCLUDED
